(define-module (packages shells)
               #:use-module ((guix licenses) #:prefix license:)
               #:use-module (guix gexp)
               #:use-module (gnu packages base)
               #:use-module (gnu packages version-control)
               #:use-module (gnu packages web)
               #:use-module (gnu packages bash)
               #:use-module (gnu packages)
               #:use-module (guix packages)
               #:use-module (guix git-download)
               #:use-module (guix download)
               #:use-module (guix build-system trivial)
               #:use-module (guix utils))

(define-public zsh-autosuggestions
  (package
   (name "zsh-autosuggestions")
   (version "0.7.0")
   (source
     (origin
      (method git-fetch)
      (uri (git-reference
             (url "https://github.com/zsh-users/zsh-autosuggestions")
             (commit (string-append "v" version))))
     (sha256
       (base32
         "1g3pij5qn2j7v7jjac2a63lxd97mcsgw6xq6k5p7835q9fjiid98"))
     (file-name (git-file-name name version))))
   (build-system trivial-build-system)
   (arguments
     '(#:modules ((guix build utils))
       #:builder
       (begin
         (use-modules (guix build utils))
         (let* ((out    (assoc-ref %outputs "out"))
                (bin    (string-append out "/share/zsh/zsh-autosuggestions"))
                (source (assoc-ref %build-inputs "source")))
           (mkdir-p bin)
           (copy-recursively source bin)))))
   (home-page "https://github.com/zsh-users/zsh-autosuggestions")
   (synopsis "Fish-like autosuggestions for zsh")
   (description "Fish-like fast/unobtrusive autosuggestions for zsh. It suggests commands as you type based on history and completions.")
   (license license:expat)))


