(define-module (packages vim)
               #:use-module ((guix licenses) #:prefix license:)
               #:use-module (guix packages)
               #:use-module (gnu packages)
               #:use-module (guix git-download)
               #:use-module (guix utils)
               #:use-module (guix build-system trivial)
               #:use-module ((gnu packages vim) #:prefix vim:)
               #:use-module (gnu packages gcc))

(define-public neovim
  (package
    (inherit vim:neovim)
    (name "neovim")
    (native-inputs
      (modify-inputs (package-native-inputs neovim)
             (prepend gcc-12)))))

(define-public vim-plug
  (package
   (name "vim-plug")
   (version "0.11.0")
   (source
     (origin
      (method git-fetch)
      (uri (git-reference
             (url "https://github.com/junegunn/vim-plug")
             (commit version)))
     (sha256
       (base32
         "0bfgadn31n516x0m0kr88jk9x79rl6zllnwij759wpazmw1p0xg8"))
     (file-name (git-file-name name version))))
   (build-system trivial-build-system)
   (arguments
     '(#:modules ((guix build utils))
       #:builder
       (begin
         (use-modules (guix build utils))
         (let* ((out    (assoc-ref %outputs "out"))
                (bin    (string-append out "/share/vim"))
                (source (assoc-ref %build-inputs "source")))
           (mkdir-p bin)
           (chdir source)
           (install-file "plug.vim" bin)))))
   (home-page "https://github.com/vinceliuice/Lavanda-gtk-e")
   (synopsis "Minimalist Vim Plugin Manager")
   (description "Minimalist Vim Plugin Manager")
   (license license:expat)))

    
